{% set PageTitle = "Contact Us - Make a claim" %}

{% extends "master.html" %}

{% block main %}
  <div id="notification"></div>
  <div id="item-a"></div>
  <div id="item-b"></div>
  <div id="item-c"></div>
  <div id="item-d"></div>
  <div id="item-e"></div>
{% endblock %}

{% block styles %}
{% endblock %}

{% block scripts %}
<script>
   window.addEventListener('load', function(){
  ReactDOM.render(React.createElement(Components.Notification, {
    id   : 'c1',
    type : 'warning',
    title : `Affected by volcanic eruption in Bali`,
    link : {
      html:`<a href="#/notification/">Read more</a>`
    },
    theme : {
      themeName : 'warm-grey',
    }
  }), document.getElementById("notification"));

  ReactDOM.render(React.createElement(Components.ContactNumber, {
    id   : 'c2',
    contactLeft : {
      title : '24 hour helpline for medical emergencies',
      tel : '0800 032 2844',
      telAlt : '+44 1243 621 537',
      telAltIntro : 'From abroad:',
      opening : '<p>Lines open <b>24 hours</b>, 7 days a week</p>',
      info : 'Calls may be recorded and/or monitored for training and audit purposes.'
    },
    imageRight : {
      html:`<img src="dist/images/cms/flourish-insurance.svg" />`
    },
    theme : {
      themeName : 'warm-grey',
      themeBefore : 'warm-grey',
      isFirstOnPage: true,
    }
  }), document.getElementById("item-a"));

  ReactDOM.render(React.createElement(Components.Documents, {
    id:'bybybyb',
    theme:{
      themeName : 'cool-grey',
      themeBefore : 'warm-grey',
      topCurve : { type: 'convex' },
      bottomCurve : { type: 'concave' },
    },
    label: 'Claims',
    headline: "Like to make an insurance Claim?",
    copy: "A few things you should know before you give us a call. Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore",
    icon: '<img src="dist/images/cms/PolicyDocs-160x120.svg" />',
    links:[
      '<a href="#">Make  a claim</a>',
      '<a href="#">Enquiry about an existing claim</a>',
    ]
  }), document.getElementById("item-b"));

  ReactDOM.render(React.createElement(Components.Claims, {
    id   : 'c3',
    heading : 'Have you been afected by any of the following?',
    image : {
			html:`<img src="dist/images/cms/flourish-insurance.svg" />`
		},
    issues : {
      items : [
        {
          type : 'warning',
          title : `Monarch cease trading`,
          content : `<p>What you need to know about cancellation and compensation if you're travelling or booked with Monarch</p>`,
          link : `<a href="#">Read more</a>`
        },
        {
          title : `Have you been affected by lorem ipsum dolor?`,
          content : `<p>Generic message - We're happy to help out</p>`,
          link : `<a href="#">Read more</a>`
        }
      ]
    },
    theme : {
      themeName : 'white',
      themeAfter : 'warm-grey',
      bottomCurve : { type: 'convex' },
    },
  }), document.getElementById("item-c"));

  ReactDOM.render(React.createElement(Components.MakeClaim, {
    id   : 'c1',
    heading : `Policy support`,
    image : {
			html:`<img src="dist/images/cms/flourish-insurance.svg" />`
		},
    title : `Things to know before you call:`,
    links : [
      {
        icon : '<img src="dist/images/icon/Icon-pdf.svg" />',
        link : '<a href="#">Renew Policy</a>'
      },
      {
        icon : '<img src="dist/images/icon/Icon-pdf.svg" />',
        link : '<a href="#">Make policy changes</a>'
      },
      {
        icon : '<img src="dist/images/icon/Icon-pdf.svg" />',
        link : '<a href="faq-answer.html">How the claims process works</a>'
      }
    ],
    theme : {
      themeName : 'warm-grey',
    }
  }), document.getElementById("item-d"));

  ReactDOM.render(React.createElement(Components.CtaModule, {
    id :'a10',
    theme: {
      themeName:'dusty-mint',
      themeAfter: 'warm-grey'
    },
    copy:"Pre travel advice about medical facilities, visas, vaccinations and health agreements",
    phoneNumber:"0800 032 2844",
    phoneText:"8am-8pm Mon-Fri, 8am-4pm Sat",
    image:{
      html:'<img src="./dist/images/beetle.png" alt="fdsfsdfsd">'
    },
  }), document.getElementById("item-e"));

   })
  </script>

{% endblock %}

{% block header %}
<script>
   window.addEventListener('load', function(){
  ReactDOM.render(React.createElement(PriorityComponents.HeaderBanner, {
    isLeftAligned:true,
    desktopImage:{
			html:'<img src="dist/images/placeholder/bg__d_Investment.jpg" alt="" />',
			src:'dist/images/placeholder/bg__d_Investment.jpg',
			altText:'alt text goes here'
		},
		mobImage:{
			html:'<img src="dist/images/placeholder/bg__m_Travel.jpg" alt="" />',
			src:'dist/images/placeholder/bg__m_Travel.jpg',
			altText:'alt text goes here'
		},
    label:"Existing customers",
    labelLink:'',
    headline:"Existing Travel Insurance Customers",
    theme:{
      themeAfter: 'warm-grey'
    },
  }), document.getElementById("HeaderBanner"));
})
</script>
{% endblock %}

{% block FloatingActionButton %}{% endblock %}

